package com.dcsoft.system.kq.mapper;


import com.dcsoft.system.kq.domain.KqClasses;

import java.util.List;

/**
 * 考勤班次Mapper接口
 *
 * @author dcsoft
 * @date 2023-01-06
 */
public interface KqClassesMapper
{
    /**
     * 查询考勤班次
     *
     * @param classesId 考勤班次主键
     * @return 考勤班次
     */
    public KqClasses selectKqClassesByClassesId(Long classesId);

    /**
     * 查询考勤班次列表
     *
     * @param kqClasses 考勤班次
     * @return 考勤班次集合
     */
    public List<KqClasses> selectKqClassesList(KqClasses kqClasses);

    /**
     * 新增考勤班次
     *
     * @param kqClasses 考勤班次
     * @return 结果
     */
    public int insertKqClasses(KqClasses kqClasses);

    /**
     * 修改考勤班次
     *
     * @param kqClasses 考勤班次
     * @return 结果
     */
    public int updateKqClasses(KqClasses kqClasses);

    /**
     * 删除考勤班次
     *
     * @param classesId 考勤班次主键
     * @return 结果
     */
    public int deleteKqClassesByClassesId(Long classesId);

    /**
     * 批量删除考勤班次
     *
     * @param classesIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKqClassesByClassesIds(Long[] classesIds);
}
